
Infrastructure - Task #1716

Story # 1713 (Closed): Updates to DataONE Types for 0.6.4 tag

Add subject property to Node

2011-08-25 01:00 - Dave Vieglais

Status: Closed Start date: 2011-08-25

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.34-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

The subject for a Node needs to be recorded independently of the node ID and the node Name. The Subject is used to identify the

node during secure communications, and convention dictates that the subject of the certificate for a node should be the same as the

DNS name for the node.

The node ID is constant.

The node name is for human readable purposes, and may change.

The node subject is as permanent as the DNS name of the server. If the DNS name changes, then the subject must change. It will be

necessary to leverage the DataONE identity mapping service to ensure that permissions and associated information are not affected

by such a change.

History

#1 - 2011-08-25 16:57 - Dave Vieglais

- Assignee set to Matthew Jones

Should be a list of subjects instead a subject.

#2 - 2011-08-25 18:11 - Matthew Jones

- Category set to d1_schemas

- Status changed from New to Closed

- Target version set to Sprint-2011.34-Block.5

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

COmpleted addition of Node.subject field, which is optional and repeatable, and is typed as d1:Subject.  I added it to the end of the list of elements so

that existing documents would still be valid with a simple namespace change.  No changes were needed for Node.identifier and Node.name.

Finished.

Powered by TCPDF (www.tcpdf.org)

2024-04-27 1/1

http://www.tcpdf.org

